Bug 849565 - all-in-one installation fails on Fedora 17
all-in-one installation fails on Fedora 17
Status: CLOSED CURRENTRELEASE
Product: oVirt
Classification: Community
Component: ovirt-engine-installer (Show other bugs)
3.1 GA
x86_64 Linux
urgent Severity high
: ---
: 3.2
Assigned To: Ofer Schreiber
integration
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-20 04:30 EDT by vellu
Modified: 2013-02-15 01:47 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-15 01:47:31 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
engine-setup log (117.26 KB, application/octet-stream)
2012-08-20 04:30 EDT, vellu
no flags Details

  None (edit)
Description vellu 2012-08-20 04:30:45 EDT
Created attachment 605601 [details]
engine-setup log

Description of problem:

Trying to install all-in-one ovirt 3.1 and after install it times out when adding local_host. Webadmin gui says Installing show that host installed correctly but host just goes to non-responding state

Version-Release number of selected component (if applicable):
oVirt 3.1 

How reproducible:
Install plain F17, follow these instructions: http://blog.jebpages.com/archives/up-and-running-with-ovirt-3-1-edition/

Steps to Reproduce:
1. Install plain F17
2. yum install http://www.ovirt.org/releases/ovirt-release-fedora.noarch.rpm
3. yum install ovirt-engine-setup-plugin-allinone
4. engine-setup
  
Actual results:
ovirt manager running and node is on non-responsive state

Expected results:
Ovirt manager and node running on same computer.

Additional info:
I added log from my installation if that helps
Comment 1 Chris K. 2012-11-07 13:33:44 EST
Are there any news for this? I am running in the exact same problem. I increased the timeout to 500s in the script, and I can't see anything running anymore after about 2 or 3... 
Results equal the described above.

Cheers,
Chris
Comment 2 Chris K. 2012-11-10 01:31:28 EST
WORKAROUND:
OK, so this is a timezone issue: http://lists.ovirt.org/pipermail/users/2012-March/001190.html
I couldn't find a bug for it. But as soon as I switched the timezone (/etc/localtime and /etc/sysconfig/date), an: engine-cleanup with following engine-setup made it work.
Dont forget clearing out /etc/exports and removing the contents of your ISO storage...

Cheers,
Chris
Comment 3 Ofer Schreiber 2012-11-27 15:45:17 EST
A new build ovirt-engine-3.1.0-4 was uploaded to ovirt.org, and contains a fix for that issue.

Note You need to log in before you can comment on or make changes to this bug.